imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }

# Put parameters here that don't need to change on each machine where the app is deployed
# http://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: es
    baseurl:             'http://sido.healthtime.es'
    pentaho:
        url:             'http://sido.healthtime.es:8080/pentaho'
        login:
            usuario:     'htime'
            password:    'stats'
        separador:       '-SEP-'
        tipo:
            informe:
                url:     '/api/repos/-SEP-public-SEP-Informes-SEP-'
                accion:  'viewer'
                area:
                    1:   'InformeCitas.prpt'
                    2:   'InformeProduccion.prpt'
            dashboard:
                url:     '/api/repos/-SEP-public-SEP-Dashboards-SEP-'
                accion:  'generatedContent'
                area:
                    1:   'CuadroMando.wcdf'
                    2:   'CuadroMando.wcdf'

framework:
    #esi:             ~
    #translator:      { fallbacks: ["%locale%"] }
    translator: ~
    secret:          "%secret%"
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enable_annotations: true }
    #serializer:      { enable_annotations: true }
    serializer:      { enabled: true }
    templating:
        engines: ['twig']
        #assets_version: SomeVersionScheme
    default_locale:  "%locale%"
    trusted_hosts:   ~
    trusted_proxies: ~
    session:
        # handler_id set to null will use default session handler from php.ini
        handler_id:  ~
    fragments:       ~
    http_method_override: true

# Twig Configuration
twig:
    debug:            "%kernel.debug%"
    strict_variables: "%kernel.debug%"

# Assetic Configuration
assetic:
    debug:          "%kernel.debug%"
    use_controller: false
    bundles:        [ FOSUserBundle, AppBundle ]
    node:           /opt/local/bin/node
    #java: /usr/bin/java
    filters:
        cssrewrite: ~
        uglifyjs2:
            bin: "%kernel.root_dir%/Resources/node_modules/.bin/uglifyjs"
        #closure:
        #    jar: "%kernel.root_dir%/Resources/java/compiler.jar"
        #yui_css:
        #    jar: "%kernel.root_dir%/Resources/java/yuicompressor-2.4.7.jar"

# Doctrine Configuration
doctrine:
    dbal:
        default_connection: master
        connections:
            master:
                driver:   %mysql_driver%
                host:     %mysql_host%
                port:     %mysql_port%
                dbname:   %mysql_name%
                user:     %mysql_user%
                password: %mysql_pass%
                charset:  UTF8
                #mapping_types:
                    #tid:   object
                    #bytea: object
    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        default_entity_manager: master
        entity_managers:
            master:
                dql:
                    numeric_functions:
                        round: AppBundle\DQL\ROUND
                        time_to_sec: AppBundle\DQL\TIME_TO_SEC
                        year: AppBundle\DQL\YEAR
                        month: AppBundle\DQL\MONTH
                connection: master
                mappings:
                    AppBundle: ~
                
# Swiftmailer Configuration
swiftmailer:
    transport:  "%mailer_transport%"
    host:       "%mailer_host%"
    username:   "%mailer_user%"
    password:   "%mailer_password%"
    port:       "%mailer_port%"
    encryption: "%mailer_encryption%"
    spool:     { type: memory }

fos_user:
    db_driver: orm # other valid values are 'mongodb', 'couchdb' and 'propel'
    firewall_name: main
    user_class: AppBundle\Entity\Usuario
    from_email:
        address: "noreply@esymometal.com"
        sender_name: "No Reply"


    
